package com.bing.dao;




import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.bing.bean.User;
import com.bing.util.ConnectionUtil;
public class UserDaoImpl implements UserDao {

    @Override
    public int insert(String email, String pwd) {
        int k = 0;
        String sql = "insert into users value(null,?,?)";
        try (Connection con = ConnectionUtil.getConnection();
             PreparedStatement pt = con.prepareStatement(sql)) {
            pt.setString(1, email);
            pt.setString(2, pwd);
            k = pt.executeUpdate();
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return k;
    }

    @Override
    public User selectByName(String email) {
        String sql = "select * from users where email = ?";
        try (Connection con = ConnectionUtil.getConnection();
             PreparedStatement pt = con.prepareStatement(sql)) {
            pt.setString(1, email);
            try (ResultSet rs = pt.executeQuery()) {
                if (rs.next()) {
                    User user = new User();
                    user.setUid(rs.getInt("uid"));
                    user.setEmail(rs.getString("email"));
                    user.setPwd(rs.getString("pwd"));
                    return user;
                }
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return null;
    }
}