package com.bing.controller;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;



import com.bing.service.UserService;
import com.bing.service.UserServiceImpl;
@WebServlet("/RegisterServlet")
public class RegisterServlet extends HttpServlet {

    private static final long serialVersionUID = 1L;

    private UserService userService = new UserServiceImpl();

    public RegisterServlet() {
        super();
    }

    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        response.getWriter().append("Served at: ").append(request.getContextPath());
    }

    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        request.setCharacterEncoding("UTF-8");
        String email = request.getParameter("email");
        String pwd = request.getParameter("pwd");
        String userRePwd = request.getParameter("userRePwd");

        int k = userService.insertUser(email, pwd, userRePwd);

        System.out.println(email+pwd+userRePwd);
        if (k > 0) {
            request.getRequestDispatcher("userlogin.jsp").forward(request, response);
        } else {
            request.getRequestDispatcher("user-register.jsp").forward(request, response);
        }
    }
}