package com.bing.util;



import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class ConnectionUtil {
    private static final String url = "jdbc:mysql://localhost:3306/apple?useSSL=false";
    private static final String rootName = "root";
    private static final String rootPwd = "123456";

    private ConnectionUtil() {
    }

    static {
        try {
            /*加载驱动*/
            Class.forName("com.mysql.cj.jdbc.Driver");
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
    }

    public static Connection getConnection() throws SQLException {
        try {
            return DriverManager.getConnection(url, rootName, rootPwd);
        } catch (SQLException ex) {
            ex.printStackTrace();
            throw ex;  // 重新抛出异常
        }
    }

    public static void closeRe(Connection con, PreparedStatement pt, ResultSet rs) {

        if (rs != null) {
            try {
                rs.close();
            } catch (SQLException e) {
                e.printStackTrace();
            }
        }
        if (pt != null) {
            try {
                pt.close();
            } catch (SQLException e) {
                e.printStackTrace();
            }
        }
        if (con != null) {
            try {
                con.close();
            } catch (SQLException e) {
                e.printStackTrace();
            }
        }
    }

    public static void closeRe(Connection con, PreparedStatement pt) {
        if (pt != null) {
            try {
                pt.close();
            } catch (SQLException e) {
                e.printStackTrace();
            }
        }
        if (con != null) {
            try {
                con.close();
            } catch (SQLException e) {
                e.printStackTrace();
            }
        }
    }
}
