<%--
  Created by IntelliJ IDEA.
  User: 29968
  Date: 2024/5/31
  Time: 16:44
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>深圳信息职业技术学院22-23校历</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            color: #333;
            background-color: #f4f4f9;
            padding: 20px;
        }

        h1, h2 {
            text-align: center;
            color: #444;
        }

        h1 {
            font-size: 2.5em;
        }

        h2 {
            margin-top: 40px;
            font-size: 1.8em;
        }

        table {
            width: 100%;
            margin: 20px auto;
            border-collapse: collapse;
            background-color: rgba(255, 255, 255, 1);
            border-radius: 10px;
            overflow: hidden;
            box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15);
            table-layout: fixed;
        }

        th, td {
            border: 1px solid #ddd;
            padding: 10px;
            text-align: center;
            height: 60px;
        }

        th {
            background-color: #f7f7f7;
            font-weight: bold;
        }

        .week {
            background-color: #e0e0e0;
            font-weight: bold;
        }

        .holiday {
            background-color: #ffcccc;
        }

        .current-month {
            background-color: #e9f5ff;
            font-weight: bold;
        }

        .other-month {
            color: #999;
        }

        .calendar {
            margin-bottom: 40px;
        }
    </style>
</head>
<body>
<h1>深圳信息职业技术学院22-23校历</h1>

<!-- 2022年8月 -->
<div class="calendar">
    <h2>2022年8月</h2>
    <table>
        <tr>
            <th class="week">周数</th>
            <th>星期一</th>
            <th>星期二</th>
            <th>星期三</th>
            <th>星期四</th>
            <th>星期五</th>
            <th>星期六</th>
            <th>星期日</th>
            <th colspan="2">备注</th>
        </tr>
        <tr>
            <td class="week"></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td class="current-month">26</td>
            <td class="current-month">27</td>
            <td class="current-month">28</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">1</td>
            <td class="current-month">29</td>
            <td class="current-month">30</td>
            <td class="current-month">31</td>
            <td class="other-month">1</td>
            <td class="other-month">2</td>
            <td class="other-month">3</td>
            <td class="other-month">4</td>
            <td colspan="2"></td>
        </tr>
    </table>
</div>

<!-- 2022年9月 -->
<div class="calendar">
    <h2>2022年9月</h2>
    <table>
        <tr>
            <th class="week">周数</th>
            <th>星期一</th>
            <th>星期二</th>
            <th>星期三</th>
            <th>星期四</th>
            <th>星期五</th>
            <th>星期六</th>
            <th>星期日</th>
            <th colspan="2">备注</th>
        </tr>
        <tr>
            <td class="week">1</td>
            <td class="other-month">29</td>
            <td class="other-month">30</td>
            <td class="other-month">31</td>
            <td class="current-month">1</td>
            <td class="current-month">2</td>
            <td class="current-month">3</td>
            <td class="current-month">4</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">2</td>
            <td class="current-month">5</td>
            <td class="current-month">6</td>
            <td class="current-month">7</td>
            <td class="current-month">8</td>
            <td class="current-month">9</td>
            <td class="holiday">10</td>
            <td class="holiday">11</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">3</td>
            <td class="holiday">12</td>
            <td class="current-month">13</td>
            <td class="current-month">14</td>
            <td class="current-month">15</td>
            <td class="current-month">16</td>
            <td class="current-month">17</td>
            <td class="current-month">18</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">4</td>
            <td class="current-month">19</td>
            <td class="current-month">20</td>
            <td class="current-month">21</td>
            <td class="current-month">22</td>
            <td class="current-month">23</td>
            <td class="current-month">24</td>
            <td class="current-month">25</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">5</td>
            <td class="current-month">26</td>
            <td class="current-month">27</td>
            <td class="current-month">28</td>
            <td class="current-month">29</td>
            <td class="current-month">30</td>
            <td class="other-month">1</td>
            <td class="other-month">2</td>
            <td colspan="2"></td>
        </tr>
    </table>
</div>

<!-- 2022年10月 -->
<div class="calendar">
    <h2>2022年10月</h2>
    <table>
        <tr>
            <th class="week">周数</th>
            <th>星期一</th>
            <th>星期二</th>
            <th>星期三</th>
            <th>星期四</th>
            <th>星期五</th>
            <th>星期六</th>
            <th>星期日</th>
            <th colspan="2">备注</th>
        </tr>
        <tr>
            <td class="week">6</td>
            <td class="other-month">26</td>
            <td class="other-month">27</td>
            <td class="other-month">28</td>
            <td class="other-month">29</td>
            <td class="other-month">30</td>
            <td class="holiday">1</td>
            <td class="holiday">2</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">6</td>
            <td class="holiday">3</td>
            <td class="holiday">4</td>
            <td class="holiday">5</td>
            <td class="holiday">6</td>
            <td class="holiday">7</td>
            <td class="current-month">8</td>
            <td class="current-month">9</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">7</td>
            <td class="current-month">10</td>
            <td class="current-month">11</td>
            <td class="current-month">12</td>
            <td class="current-month">13</td>
            <td class="current-month">14</td>
            <td class="current-month">15</td>
            <td class="current-month">16</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">8</td>
            <td class="current-month">17</td>
            <td class="current-month">18</td>
            <td class="current-month">19</td>
            <td class="current-month">20</td>
            <td class="current-month">21</td>
            <td class="current-month">22</td>
            <td class="current-month">23</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">9</td>
            <td class="current-month">24</td>
            <td class="current-month">25</td>
            <td class="current-month">26</td>
            <td class="current-month">27</td>
            <td class="current-month">28</td>
            <td class="current-month">29</td>
            <td class="current-month">30</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">10</td>
            <td class="current-month">31</td>
            <td class="other-month">1</td>
            <td class="other-month">2</td>
            <td class="other-month">3</td>
            <td class="other-month">4</td>
            <td class="other-month">5</td>
            <td class="other-month">6</td>
            <td colspan="2"></td>
        </tr>
    </table>
</div>

<!-- 2022年11月 -->
<div class="calendar">
    <h2>2022年11月</h2>
    <table>
        <tr>
            <th class="week">周数</th>
            <th>星期一</th>
            <th>星期二</th>
            <th>星期三</th>
            <th>星期四</th>
            <th>星期五</th>
            <th>星期六</th>
            <th>星期日</th>
            <th colspan="2">备注</th>
        </tr>
        <tr>
            <td class="week">10</td>
            <td class="other-month">31</td>
            <td class="current-month">1</td>
            <td class="current-month">2</td>
            <td class="current-month">3</td>
            <td class="current-month">4</td>
            <td class="current-month">5</td>
            <td class="current-month">6</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">11</td>
            <td class="current-month">7</td>
            <td class="current-month">8</td>
            <td class="current-month">9</td>
            <td class="current-month">10</td>
            <td class="current-month">11</td>
            <td class="current-month">12</td>
            <td class="current-month">13</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">12</td>
            <td class="current-month">14</td>
            <td class="current-month">15</td>
            <td class="current-month">16</td>
            <td class="current-month">17</td>
            <td class="current-month">18</td>
            <td class="current-month">19</td>
            <td class="current-month">20</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">13</td>
            <td class="current-month">21</td>
            <td class="current-month">22</td>
            <td class="current-month">23</td>
            <td class="current-month">24</td>
            <td class="current-month">25</td>
            <td class="current-month">26</td>
            <td class="current-month">27</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">14</td>
            <td class="current-month">28</td>
            <td class="current-month">29</td>
            <td class="current-month">30</td>
            <td class="other-month">1</td>
            <td class="other-month">2</td>
            <td class="other-month">3</td>
            <td class="other-month">4</td>
            <td colspan="2"></td>
        </tr>
    </table>
</div>

<!-- 2022年12月 -->
<div class="calendar">
    <h2>2022年12月</h2>
    <table>
        <tr>
            <th class="week">周数</th>
            <th>星期一</th>
            <th>星期二</th>
            <th>星期三</th>
            <th>星期四</th>
            <th>星期五</th>
            <th>星期六</th>
            <th>星期日</th>
            <th colspan="2">备注</th>
        </tr>
        <tr>
            <td class="week">14</td>
            <td class="other-month">28</td>
            <td class="other-month">29</td>
            <td class="other-month">30</td>
            <td class="current-month">1</td>
            <td class="current-month">2</td>
            <td class="current-month">3</td>
            <td class="current-month">4</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">15</td>
            <td class="current-month">5</td>
            <td class="current-month">6</td>
            <td class="current-month">7</td>
            <td class="current-month">8</td>
            <td class="current-month">9</td>
            <td class="current-month">10</td>
            <td class="current-month">11</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">16</td>
            <td class="current-month">12</td>
            <td class="current-month">13</td>
            <td class="current-month">14</td>
            <td class="current-month">15</td>
            <td class="current-month">16</td>
            <td class="current-month">17</td>
            <td class="current-month">18</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">17</td>
            <td class="current-month">19</td>
            <td class="current-month">20</td>
            <td class="current-month">21</td>
            <td class="current-month">22</td>
            <td class="current-month">23</td>
            <td class="current-month">24</td>
            <td class="current-month">25</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">18</td>
            <td class="current-month">26</td>
            <td class="current-month">27</td>
            <td class="current-month">28</td>
            <td class="current-month">29</td>
            <td class="current-month">30</td>
            <td class="current-month">31</td>
            <td class="other-month">1</td>
            <td colspan="2"></td>
        </tr>
    </table>
</div>

<!-- 2022年1月 -->
<div class="calendar">
    <h2>2022年1月</h2>
    <table>
        <tr>
            <th class="week">周数</th>
            <th>星期一</th>
            <th>星期二</th>
            <th>星期三</th>
            <th>星期四</th>
            <th>星期五</th>
            <th>星期六</th>
            <th>星期日</th>
            <th colspan="2">备注</th>
        </tr>
        <tr>
            <td class="week">18</td>
            <td class="other-month">26</td>
            <td class="other-month">27</td>
            <td class="other-month">28</td>
            <td class="other-month">29</td>
            <td class="other-month">30</td>
            <td class="other-month">31</td>
            <td class="current-month">1</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">19</td>
            <td class="current-month">2</td>
            <td class="current-month">3</td>
            <td class="current-month">4</td>
            <td class="current-month">5</td>
            <td class="current-month">6</td>
            <td class="current-month">7</td>
            <td class="current-month">8</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">20</td>
            <td class="current-month">9</td>
            <td class="current-month">10</td>
            <td class="current-month">11</td>
            <td class="holiday">12</td>
            <td class="holiday">13</td>
            <td class="holiday">14</td>
            <td class="holiday">15</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">寒假</td>
            <td class="holiday">16</td>
            <td class="holiday">17</td>
            <td class="holiday">18</td>
            <td class="holiday">19</td>
            <td class="holiday">20</td>
            <td class="holiday">21</td>
            <td class="holiday">22</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">寒假</td>
            <td class="holiday">23</td>
            <td class="holiday">24</td>
            <td class="holiday">25</td>
            <td class="holiday">26</td>
            <td class="holiday">27</td>
            <td class="holiday">28</td>
            <td class="holiday">29</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">寒假</td>
            <td class="holiday">30</td>
            <td class="holiday">31</td>
            <td class="other-month">1</td>
            <td class="other-month">2</td>
            <td class="other-month">3</td>
            <td class="other-month">4</td>
            <td class="other-month">5</td>
            <td colspan="2"></td>
        </tr>
    </table>
</div>


<!-- 2022年2月 -->
<div class="calendar">
    <h2>2022年2月</h2>
    <table>
        <tr>
            <th class="week">寒假</th>
            <th>星期一</th>
            <th>星期二</th>
            <th>星期三</th>
            <th>星期四</th>
            <th>星期五</th>
            <th>星期六</th>
            <th>星期日</th>
            <th colspan="2">备注</th>
        </tr>
        <tr>
            <td class="week">寒假</td>
            <td class="other-month">30</td>
            <td class="other-month">31</td>
            <td class="holiday">1</td>
            <td class="holiday">2</td>
            <td class="holiday">3</td>
            <td class="holiday">4</td>
            <td class="holiday">5</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">寒假</td>
            <td class="holiday">6</td>
            <td class="holiday">7</td>
            <td class="holiday">8</td>
            <td class="holiday">9</td>
            <td class="holiday">10</td>
            <td class="holiday">11</td>
            <td class="holiday">12</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td class="week">寒假</td>
            <td class="holiday">13</td>
            <td class="holiday">14</td>
            <td class="holiday">15</td>
            <td class="holiday">16</td>
            <td class="current-month">17</td>
            <td class="current-month">18</td>
            <td class="current-month">19</td>
            <td colspan="2"></td>
        </tr>
    </table>
</div>
